Bug 440011 - Race condition in wxWidget - fixed upstream - need to be backported
Summary: Race condition in wxWidget - fixed upstream - need to be backported
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-01 11:25 UTC by Nicolas Chauvet (kwizart)
Modified: 2008-06-18 03:16 UTC (History)
2 users (show)

Fixed In Version: 2.8.7-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-18 03:16:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2008-04-01 11:25:11 UTC
Description of problem:
There is a race condition in wxGTK that has been described using filezilla here:
https://bugs.launchpad.net/ubuntu/+source/filezilla/+bug/193340

Version-Release number of selected component (if applicable):
wxGTK-2.8.7

How reproducible:
always

Steps to Reproduce:
see: https://bugs.launchpad.net/ubuntu/+source/filezilla/+bug/193340/comments/6
  

Additional info:
There is a need to backport this patch :
http://svn.wxwidgets.org/viewvc/wx/wxWidgets/branches/WX_2_8_BRANCH/src/gtk/app.cpp?view=patch&r1=52465&r2=52464&pathrev=52465

Comment 1 Dan Horák 2008-04-01 12:30:35 UTC
I will do that.

Comment 2 Nicolas Chauvet (kwizart) 2008-04-08 12:42:38 UTC
What is the status of this bug (fixed in Rawhide but what about F-7 F-8 ?)

Comment 3 Dan Horák 2008-04-09 06:45:53 UTC
Packages are built in Koji, but Matt must update wxPython too. Both updates must
be pushed together to avoid broken deps.

Comment 4 Matthew Miller 2008-04-09 10:18:56 UTC
And I think that things have settled down such that I can work on that today.

Comment 5 Bug Zapper 2008-05-14 08:31:01 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Nicolas Chauvet (kwizart) 2008-05-14 11:55:07 UTC
Any news on pushing to any repo (at least F8-testing would be nice).
Seem to be build but not available for F-8
http://koji.fedoraproject.org/koji/buildinfo?buildID=44516

Comment 7 Fedora Update System 2008-06-10 03:12:19 UTC
wxGTK-2.8.7-2.fc7, wxPython-2.8.7.1-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK wxPython'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-5101

Comment 8 Fedora Update System 2008-06-13 02:26:12 UTC
wxGTK-2.8.7-2.fc7, wxPython-2.8.7.1-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-06-18 03:16:21 UTC
wxGTK-2.8.7-2.fc8, wxPython-2.8.7.1-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.